# Interface ICSSPropertyFontHandler

All Superinterfaces:
  `ICSSPropertyHandler`

All Known Implementing Classes:
  `AbstractCSSPropertyFontHandler, CSSPropertyFontDefinitionHandler, CSSPropertyFontSWTHandler`

public interface ICSSPropertyFontHandler extends ICSSPropertyHandler
CSS2 Font Property Handler.

See Also:
  - w3schools

## Method Summary

Modifier and Type
Method
Description
`void`
`applyCSSPropertyFont(Object element, CSSValue value, String pseudo, CSSEngine engine)`
A shorthand property for setting all of the properties for a font in one declaration.
`void`
`applyCSSPropertyFontFamily(Object element, CSSValue value, String pseudo, CSSEngine engine)`
A prioritized list of font family names and/or generic family names for an element.
`void`
`applyCSSPropertyFontSize(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Sets the size of a font.
`void`
`applyCSSPropertyFontSizeAdjust(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Specifies an aspect value for an element that will preserve the x-height of the first-choice font.
`void`
`applyCSSPropertyFontStretch(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Condenses or expands the current font-family.
`void`
`applyCSSPropertyFontStyle(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Sets the style of the font.
`void`
`applyCSSPropertyFontVariant(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Displays text in a small-caps font or a normal font.
`void`
`applyCSSPropertyFontWeight(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Sets the weight of a font.
`String`
`retrieveCSSPropertyFontAdjust(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyFontFamily(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyFontSize(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyFontStretch(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyFontStyle(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyFontVariant(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyFontWeight(Object element, String pseudo, CSSEngine engine)`

### Methods inherited from interface ICSSPropertyHandler

`applyCSSProperty, onAllCSSPropertiesApplied, onAllCSSPropertiesApplied, retrieveCSSProperty`

## Method Details

### applyCSSPropertyFont

void applyCSSPropertyFont(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
A shorthand property for setting all of the properties for a font in one declaration. Available values are=font-style font-variant font-weight font-size/line-height font-family caption icon menu message-box small-caption status-bar

Throws:
  `Exception`

### applyCSSPropertyFontFamily

void applyCSSPropertyFontFamily(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
A prioritized list of font family names and/or generic family names for an element.

Throws:
  `Exception`

### applyCSSPropertyFontSize

void applyCSSPropertyFontSize(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Sets the size of a font.

Throws:
  `Exception`

### applyCSSPropertyFontSizeAdjust

void applyCSSPropertyFontSizeAdjust(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Specifies an aspect value for an element that will preserve the x-height of the first-choice font.

Throws:
  `Exception`

### applyCSSPropertyFontStretch

void applyCSSPropertyFontStretch(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Condenses or expands the current font-family.

Throws:
  `Exception`

### applyCSSPropertyFontStyle

void applyCSSPropertyFontStyle(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Sets the style of the font.

Throws:
  `Exception`

### applyCSSPropertyFontVariant

void applyCSSPropertyFontVariant(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Displays text in a small-caps font or a normal font.

Throws:
  `Exception`

### applyCSSPropertyFontWeight

void applyCSSPropertyFontWeight(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Sets the weight of a font.

Throws:
  `Exception`

### retrieveCSSPropertyFontFamily

String retrieveCSSPropertyFontFamily(Object element, String pseudo, CSSEngine engine) throws Exception

Throws:
  `Exception`

### retrieveCSSPropertyFontSize

String retrieveCSSPropertyFontSize(Object element, String pseudo, CSSEngine engine) throws Exception

Throws:
  `Exception`

### retrieveCSSPropertyFontAdjust

String retrieveCSSPropertyFontAdjust(Object element, String pseudo, CSSEngine engine) throws Exception

Throws:
  `Exception`

### retrieveCSSPropertyFontStretch

String retrieveCSSPropertyFontStretch(Object element, String pseudo, CSSEngine engine) throws Exception

Throws:
  `Exception`

### retrieveCSSPropertyFontStyle

String retrieveCSSPropertyFontStyle(Object element, String pseudo, CSSEngine engine) throws Exception

Throws:
  `Exception`

### retrieveCSSPropertyFontVariant

String retrieveCSSPropertyFontVariant(Object element, String pseudo, CSSEngine engine) throws Exception

Throws:
  `Exception`

### retrieveCSSPropertyFontWeight

String retrieveCSSPropertyFontWeight(Object element, String pseudo, CSSEngine engine) throws Exception

Throws:
  `Exception`